#!/usr/bin/ruby
# frozen_string_literal: true

# -------------------------------------------------------------------------------- #
# Description                                                                      #
# -------------------------------------------------------------------------------- #
# A simple script to demonstrate how to use the nagios output gem.                 #
#                                                                                  #
# Please NOTE: We are only using begin/rescue/end so that the script do not exit   #
# on the first demo.                                                               #
#                                                                                  #
# You could simply use ok(), warning() without the begin/rescue/end.               #
# -------------------------------------------------------------------------------- #

require 'nagios_output'

begin
    NagiosOutput::Nagios.ok('Everything is ok')
rescue SystemExit => e
    _actual = e
end

begin
    NagiosOutput::Nagios.warning('Everything is ok-ish')
rescue SystemExit => e
    _actual = e
end

begin
    NagiosOutput::Nagios.critical('Everything is critical')
rescue SystemExit => e
    _actual = e
end

begin
    NagiosOutput::Nagios.unknown('Everything is erm - I don\'t know')
rescue SystemExit => e
    _actual = e
end

begin
    'Everything is ok'.nagios_ok
rescue SystemExit => e
    _actual = e
end

begin
    'Everything is ok-ish'.nagios_warning
rescue SystemExit => e
    _actual = e
end

begin
    'Everything is critical'.nagios_critical
rescue SystemExit => e
    _actual = e
end

begin
    'Everything is erm - I don\'t know'.nagios_unknown
rescue SystemExit => e
    _actual = e
end
